Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
kuickshow blockage [solved]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Duplicate Threads
View previous topic :: View next topic  
Author Message
jonfr
l33t
l33t


Joined: 20 Jul 2003
Posts: 908
Location: Denmark

PostPosted: Sat Oct 06, 2007 12:16 am    Post subject: kuickshow blockage [solved] Reply with quote

I can't install kuickshow because it is being blocked by kdegraphics. But it doesn't appear that kuickshow is part of kdegraphics. How can I fix this ?

Code:
emerge kuickshow -p

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N    ] kde-base/kuickshow-3.5.7  USE="-arts -debug -kdeenablefinal -xinerama"
[blocks B     ] =kde-base/kdegraphics-3.5* (is blocking kde-base/kuickshow-3.5.7)
[blocks B     ] =kde-base/kuickshow-3.5* (is blocking kde-base/kdegraphics-3.5.7-r1)


Last edited by jonfr on Sat Oct 06, 2007 12:50 am; edited 1 time in total
Back to top
View user's profile Send private message
mark_alec
Bodhisattva
Bodhisattva


Joined: 11 Sep 2004
Posts: 6066
Location: Melbourne, Australia

PostPosted: Sat Oct 06, 2007 12:46 am    Post subject: Reply with quote

You need to compile kdegraphics with the imlib USE flag enabled to get kuickshow.
_________________
www.gentoo.org.au || #gentoo-au
Back to top
View user's profile Send private message
jonfr
l33t
l33t


Joined: 20 Jul 2003
Posts: 908
Location: Denmark

PostPosted: Sat Oct 06, 2007 12:50 am    Post subject: Reply with quote

I have dedicated to move to the meta build, as the 4.0 release is going to be that way, according to this document.
Back to top
View user's profile Send private message
desultory
Administrator
Administrator


Joined: 04 Nov 2005
Posts: 7820

PostPosted: Sat Oct 06, 2007 4:17 am    Post subject: Reply with quote

Each of the monolith packages provide the same functionality as the split packages which mutually block it. In short, use either the split packages or the monolithic packages do not attempt to mix them. To convert from using one style to the other the existing installation needs to be removed prior to installing the type being converted to.

This issue has already been discussed in the topic "Blockers in KDE 3.4.1", where it was summarized by Headrush; and it is also covered in The KDE Configuration HOWTO.

Moved from Desktop Environments to Duplicate Threads.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Duplicate Threads All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum